<?php

define('DATALIFEENGINE', true);
define('ROOT_DIR', dirname(__FILE__));
define('ENGINE_DIR', ROOT_DIR . '/engine');

include(ENGINE_DIR . '/inc/vibix/functions.php');
require_once ENGINE_DIR . '/data/config.php';
include(ENGINE_DIR . '/data/vibix.config.php');
include(ENGINE_DIR . '/data/vibix.settings_config.php');
include(ENGINE_DIR . '/data/vibix.xfields_config.php');
include(ENGINE_DIR . '/data/vibix.category_config.php');

if ($config['version_id'] >= 13) {
    require_once(ENGINE_DIR . '/classes/plugins.class.php');
    require_once(DLEPlugins::Check(ENGINE_DIR . '/classes/mysql.php'));
    require_once(DLEPlugins::Check(ENGINE_DIR . '/data/dbconfig.php'));
    if (file_exists(ROOT_DIR . '/language/' . $config['langs'] . '/website.lng'))
        require_once ROOT_DIR . '/language/' . $config['langs'] . '/website.lng';
    require_once(DLEPlugins::Check(ENGINE_DIR . '/modules/functions.php'));
} else {
    require_once ENGINE_DIR . '/classes/mysql.php';
    require_once ENGINE_DIR . '/data/dbconfig.php';
    if (file_exists(ROOT_DIR . '/language/' . $config['langs'] . '/website.lng'))
        require_once ROOT_DIR . '/language/' . $config['langs'] . '/website.lng';
    require_once ENGINE_DIR . '/modules/functions.php';
}

header('Content-Type: application/json; charset=UTF-8');

$task = $db->super_query("SELECT * FROM " . USERPREFIX . "_vibix_tasks WHERE progress<100 and  total>0  and state = 'PROCESS' ORDER BY date DESC LIMIT 1");
if (empty($task['id'])) {
    echo json_encode(['task_id' => 0]);
    exit();
}

$limit = 50;
$processed = $task['processed'];
$filter = json_decode($task['filter'], true);
$res = getApi('/publisher/catalog/data', [
    'draw'    => 1,
    'start'   => $processed,
    'length'  => $limit,
    'columns' => [['data' => '', 'name' => '', 'searchable' => true, 'orderable' => true,]],
    'order'   => [['column' => 0, 'dir' => 'desc']],
    'filter'  => $filter
]);

if (!empty($res['recordsTotal'])) {

    $processed += count($res['data']);
    $progress = round($processed * 100 / $task['total']);

    $complete = '';
    if ($processed >= $task['total'])
        $complete = ", state='COMPLETE' ";

    $db->query("UPDATE " . USERPREFIX . "_vibix_tasks SET processed = '{$processed}', progress='{$progress}' {$complete} WHERE id = '{$task['id']}';");

    $posts = $db->super_query("SELECT id, xfields FROM " . USERPREFIX . "_post ", true);

    $xfield_vibix_to_dle = [];
    foreach ($vibix_xfields_config as $dle_field => $vibix_field)
        $xfield_vibix_to_dle[$vibix_field] = $dle_field;

    $post_by_kpid = [];
    foreach ($posts as $post) {
        $xfieldsdata = xfieldsdataload($post['xfields']);
        if (!empty($xfield_vibix_to_dle['kp_id']) and !empty($xfieldsdata[$xfield_vibix_to_dle['kp_id']]))
            $post_by_kpid[$xfieldsdata[$xfield_vibix_to_dle['kp_id']]] = $post;
    }
    
    unset($posts);

    foreach ($res['data'] as $vibix_catalog_row) {
        if (empty($vibix_catalog_row['kp_id'])) //не указан kinopoisk_id, работать нельзя
            continue;

        if ($task['type'] == 'ONLY_LINK_UPDATE' and !empty($post_by_kpid[$vibix_catalog_row['kp_id']]))
            updatePost($vibix_catalog_row, $post_by_kpid[$vibix_catalog_row['kp_id']], ['embed_code'], $update_cats = false);

        if ($task['type'] == 'CREATE' and empty($post_by_kpid[$vibix_catalog_row['kp_id']]))
            addPost($vibix_catalog_row);

        if ($task['type'] == 'CREATE_UPDATE')
            if (empty($post_by_kpid[$vibix_catalog_row['kp_id']]))
                addPost($vibix_catalog_row);
            else
                updatePost($vibix_catalog_row, $post_by_kpid[$vibix_catalog_row['kp_id']], [], $update_cats = false);
    }

    echo json_encode(['task_id' => $task['id'], 'progress' => $progress]);
    exit();
} else {
    echo json_encode(['task_id' => $task['id'], 'progress' => 100]);
    exit();
}
