<?php

function getApi($url, $data)
{
    global $vibix_settings_config, $vibix_config;
    $ch = curl_init($vibix_config['api_server'] . $url);
    curl_setopt($ch, CURLOPT_POST, true);
    curl_setopt($ch, CURLOPT_POSTFIELDS, http_build_query($data));
    curl_setopt($ch, CURLOPT_HTTPHEADER, array('Authorization: Bearer ' . $vibix_settings_config['api_token']));
    curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
    $result = curl_exec($ch);
    curl_close($ch);
    return json_decode($result, true);
}

function tpl_field($field, $vibix_post, $default_value)
{
    global $vibix_settings_config;
    $collection = '';
    if (empty($vibix_settings_config['tpl_' . $field]))
        return $default_value;
    $str = $vibix_settings_config['tpl_' . $field];
    foreach ($vibix_post as $field => $value) {
        if (is_array($value)) {
            foreach ($value as $sub_field => $sub_value)
                if ($field == 'persons') {
                    //под комментом стирание запятой в коце строки
                    //$iterations = 1;
                    //$counter = count($sub_value);
                    foreach ($sub_value as $person) {
                        //if ($iterations < $counter) $collection .= $person['name_anyway'] . ", ";
                        $collection .= $person['name_anyway'] . ", ";
                        //if ($iterations == $counter) $collection .= $person['name_anyway']  . " ";
                        // $iterations++;
                    }
                    $str = str_replace("{{$field}.{$sub_field}}", $collection, $str);
                    $collection = '';
                }
        } 
        else {
            if (!empty($value))
            $str = str_replace("{{$field}}", $value, $str);
        }
    }
    $str = preg_replace('/\{[\s\S]+?\}/', '', $str);
    return $str;
}

// function tpl_field($field, $vibix_post, $default_value)
// {
//     global $vibix_settings_config;
//     if (empty($vibix_settings_config['tpl_' . $field]))
//         return $default_value;
//     $str = $vibix_settings_config['tpl_' . $field];
//     foreach ($vibix_post as $field => $value) {
//         if ($value)
//             if (is_array($value)) {
//                 foreach ($value as $sub_field => $sub_value)
//                     if ($field == 'persons' and !empty($sub_value['name']))
//                         $str = str_replace("{{$sub_field}.{$field}}", $sub_value['name'], $str);
//             } else
//                 $str = str_replace("{{$field}}", $value, $str);
//     }
//     return $str;
// }

function addPost($vibix_post)
{
    global $config, $db, $vibix_xfields_config, $vibix_category_config;


    $xfieldsdata = []; //ToDo: подгружать справочник полей на предмет обязательных и с дефолотным значением
    foreach ($vibix_xfields_config as $xfield_name => $vibix_field)
        if (!empty($vibix_field) and !empty($vibix_post[$vibix_field]))
            $xfieldsdata[$xfield_name] = $vibix_post[$vibix_field];
    $set_xfields = [];
    foreach ($xfieldsdata as $key => $value)
        if ($value)
            $set_xfields[] = $key . "|" . str_replace('|', '&#124;', $value);
    $set_xfields = $db->safesql(implode('||', $set_xfields));


    $category = [];
    foreach ($vibix_category_config as $dle_cat_id => $item) {
        list($field, $value) = explode('.', $item);
        if (!empty($vibix_post[$field]) and $vibix_post[$field] == $value)
            $category[] = $dle_cat_id;
    }

    $title = tpl_field('title', $vibix_post, $vibix_post['name']);
    $dle_post = [
        'date'        => date("Y-m-d H:i:s"),
        'autor'       => $db->safesql(tpl_field('autor', $vibix_post, 'vibix')),
        'title'       => $db->safesql($title),
        'category'    => implode(',', $category),
        'alt_name'    => totranslit(stripslashes($title), true, false, $config['translit_url']),
        'descr'       => $db->safesql(tpl_field('metadescription', $vibix_post, $vibix_post['name'])),
        'tags'        => $db->safesql(tpl_field('tags', $vibix_post, '')),
        'metatitle'   => $db->safesql(tpl_field('metatitle', $vibix_post, $vibix_post['name'])),
        'keywords'    => $db->safesql(tpl_field('metakeywords', $vibix_post, '')),
        'short_story' => $db->safesql(tpl_field('short_story', $vibix_post, $vibix_post['description'])),
        'full_story'  => $db->safesql(tpl_field('full_story', $vibix_post, $vibix_post['description'])),
        'xfields'     => $set_xfields,
        'allow_comm'  => '1',
        'approve'     => '1',
        'allow_main'  => '1',
        'fixed'       => '0',
        'allow_br'    => '1',
        'symbol'      => '',
    ];


    $db->query("INSERT INTO " . PREFIX . "_post (" . implode(', ', array_keys($dle_post)) . ") VALUES ('" . implode("', '", array_values($dle_post)) . "');");
    $id = $db->insert_id();

    if (!empty($dle_post['tags'])) {
        $tags = [];
        $dle_post['tags'] = explode(",", $dle_post['tags']);
        foreach ($dle_post['tags'] as $value)
            $tags[] = "('" . $id . "', '" . trim($value) . "')";
        $db->query("INSERT INTO " . PREFIX . "_tags (news_id, tag) VALUES " . implode(", ", $tags));
    }

    if (!empty($category)) {
        $cat_ids = array();
        foreach ($category as $value)
            $cat_ids[] = "('" . $id . "', '" . trim($value) . "')";
        $cat_ids = implode(", ", $cat_ids);
        $db->query("INSERT INTO " . PREFIX . "_post_extras_cats (news_id, cat_id) VALUES {$cat_ids}");
    }

    $def_fields_extras = [
        'news_id'         => $id,
        'allow_rate'      => '1',
        'votes'           => '0',
        'disable_index'   => '0',
        'related_ids'     => '',
        'access'          => '',
        'user_id'         => '1',
        'disable_search'  => '0',
        'need_pass'       => '0',
        'allow_rss'       => '1',
        'allow_rss_turbo' => '1',
        'allow_rss_dzen'  => '1',
    ];
    $db->query("INSERT INTO " . PREFIX . "_post_extras (" . implode(', ', array_keys($def_fields_extras)) . ")  VALUES ('" . implode("', '", array_values($def_fields_extras)) . "');");
}

function updatePost($vibix_post, $dle_post, $fields = [], $update_cats = false)
{
    //ToDo: Обновляет только доп поля. Доработать на обновление и базовых полей - названия, метатегов, категорий итп.
    global $db, $vibix_xfields_config, $vibix_category_config;

    $xfieldsdata = xfieldsdataload($dle_post['xfields']);
    unset($xfieldsdata['']);
    foreach ($vibix_xfields_config as $xfield_name => $vibix_field) {
        if (!empty($vibix_field) and !empty($vibix_post[$vibix_field]) and ((!empty($fields) and in_array($vibix_field, $fields)) or empty($fields)))
            $xfieldsdata[$xfield_name] = $vibix_post[$vibix_field];
    }

    $str_sql = '';

    $set_xfields = [];
    foreach ($xfieldsdata as $key => $value)
        $set_xfields[] = $key . "|" . str_replace('|', '&#124;', $value);

    if (empty($fields)) {
        $category = []; //ToDo: не уверен что при апдейте трогать категории правильно
        foreach ($vibix_category_config as $dle_cat_id => $item) {
            list($field, $value) = explode('.', $item);
            if (!empty($vibix_post[$field]) and $vibix_post[$field] == $value)
                $category[] = $dle_cat_id;
        }
        $dle_post = [
            'id'          => $dle_post['id'],
            'category'    => implode(',', $category),
            'autor'       => tpl_field('autor', $vibix_post, 'vibix'),
            'title'       => tpl_field('title', $vibix_post, $vibix_post['name']),
            'descr'       => tpl_field('metadescription', $vibix_post, $vibix_post['name']),
            'tags'        => tpl_field('tags', $vibix_post, ''),
            'metatitle'   => tpl_field('metatitle', $vibix_post, $vibix_post['name']),
            'keywords'    => tpl_field('metakeywords', $vibix_post, ''),
            'short_story' => tpl_field('short_story', $vibix_post, $vibix_post['description']),
            'full_story'  => tpl_field('full_story', $vibix_post, $vibix_post['description']),
        ];

        foreach ($dle_post as $field => $value) {
            $value = $db->safesql($value);
            $str_sql .= ", `{$field}` = '{$value}'";
        }
    }

    $set_xfields = $db->safesql(implode('||', $set_xfields));

    $db->query("UPDATE " . PREFIX . "_post SET  xfields='{$set_xfields}' {$str_sql}  WHERE id='{$dle_post['id']}';");

    if (!empty($category)) {
        $db->query("DELETE FROM  " . PREFIX . "_post_extras_cats WHERE news_id = '{$dle_post['id']}';");
        $cat_ids = array();
        foreach ($category as $value)
            $cat_ids[] = "('" . $dle_post['id'] . "', '" . trim($value) . "')";
        $cat_ids = implode(", ", $cat_ids);
        $db->query("INSERT INTO " . PREFIX . "_post_extras_cats (news_id, cat_id) VALUES {$cat_ids}");
    }
}
